Ext.define('NestedMVC.model.Author', {
    extend: 'Ext.data.Model',
    fields: [
              {name: 'ID', type: 'string'},
              {name: 'NAME', type: 'string'}
    ],

    hasMany: {model: 'NestedMVC.model.Book', name: 'books'},
    
    proxy: {
        type: 'ajax',
        url: '/data/authors.json',
        reader: {
        	type: 'json',
            root: 'AUTHORS',
            totalProperty: 'totalCount'
    	}
	}


});
