Ext.define('NestedMVC.model.Book', {
    extend: 'Ext.data.Model',
    fields: [
              {name: 'ID', type: 'string'},
              {name: 'TITLE', type: 'string'}
    ],

    belongsTo: 'NestedMVC.model.Author', 
    
    proxy: {
        type: 'ajax',
        url: '/data/books.json',
        reader: {
        	type: 'json',
            root: 'BOOKS',
            totalProperty: 'totalCount'
    	}
	}



});
